Loading...
Searching...
No Matches
stdex::sys_info_t Struct Reference

System information. More...

`#include <stdex/sys_info.hpp>`

## Public Attributes

platform_id | os_platform
| The platform this process was compiled for.
bool | interactive_process
| Is interactive process?
bool | admin
| Is member of local group Administrators (Windows) or member of group wheel/sudoers (others)?
bool | elevated
| Is elevated process (Windows) or running as root (others)?

## Protected Attributes

struct utsname | m_utsn

## Detailed Description

System information.

## Member Data Documentation

## os_platform

platform_id stdex::sys_info_t::os_platform

The platform this process was compiled for.

The operating system platform

The documentation for this struct was generated from the following file:

- include/stdex/sys_info.hpp